Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IAtp

All Superinterfaces:
  ICount, IRuntimeNode

All Known Subinterfaces:
  IBomItem

All Known Implementing Classes:
  BomNode

public interface IAtp
extends ICount

Implemented by objects that can have ATP calculated. This interface contains methods for getting available-to-promise (ATP) information, and methods to retrieve ATP errors/warnings/messages.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`java.util.Date` | `getAtpDate()` Retrieves last ATP date calculated by Configuration.calculateAtpDates for this item.
`java.lang.String` | `getAtpNotifications()` Returns string containing any ATP messages, warnings or errors generated for this node by the latest Configuration.calculateAtpDates call.
`int` | `getDatabaseID()` Returns the database ID of the runtime node.
`java.lang.String` | `getFormattedAtpDate()` Retrieves last ATP date calculated and formatted by Configuration.calculateAtpDatesMls for this item.
`java.lang.String` | `getItemKey()` Returns item key for items imported from Oracle Inventory / BOM.
`java.lang.String` | `getUomCode()` Returns unit of measure code for items imported from Oracle Inventory/ BOM.
`boolean` | `hasAtpDate()`

Methods inherited from interface oracle.apps.cz.cio.ICount
`getCount, getDecimalCount, setCount, setDecimalCount`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getAtpDate

    public java.util.Date getAtpDate()
                              throws AtpUnavailableException,
                                     NoAtpCalculatedException

  Retrieves last ATP date calculated by Configuration.calculateAtpDates for this item.
  Returns:
    ATP date
  Throws:
    `AtpUnavailableException` - thrown if ATP initialization parameters were not provided
    `NoAtpCalculatedException` - thrown if ATP was never demanded or if the ATP procedure did not calculate an ATP date for this node

### hasAtpDate

    public boolean hasAtpDate()

### getFormattedAtpDate

    public java.lang.String getFormattedAtpDate()
                                         throws AtpUnavailableException,
                                                NoAtpCalculatedException

  Retrieves last ATP date calculated and formatted by Configuration.calculateAtpDatesMls for this item.
  Returns:
    ATP date
  Throws:
    `AtpUnavailableException` - thrown if ATP initialization parameters were not provided
    `NoAtpCalculatedException` - thrown if ATP was never demanded or if the ATP procedure did not calculate an ATP date for this node

### getAtpNotifications

    public java.lang.String getAtpNotifications()

  Returns string containing any ATP messages, warnings or errors generated for this node by the latest Configuration.calculateAtpDates call.

### getDatabaseID

    public int getDatabaseID()

  Returns the database ID of the runtime node.
  Specified by:
    `getDatabaseID` in interface `IRuntimeNode`
  Returns:
    the database ID of the node.

### getItemKey

    public java.lang.String getItemKey()

  Returns item key for items imported from Oracle Inventory / BOM. Item key is constructed from BOM_EXPLOSIONS field values: "[COMPONENT_CODE]:[EXPLOSION_TYPE]:[ORGANIZATION_ID]:[TOP_ITEM_ID]" Item key may be used by PL/SQL ATP procedures to calculate ATP for nodes. Returns null if node was not imported from Oracle Inventory / BOM.

### getUomCode

    public java.lang.String getUomCode()

  Returns unit of measure code for items imported from Oracle Inventory/ BOM. The unit of measure may be used by PL/SQL pricing procedures to calculate ATP for nodes. Returns null if node was not imported from Oracle Inventory / BOM.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.